﻿/**
    Override SYNCPortal default styles
    Brings clarity by adding independent styles required for MVC projects
*/


/* Override colorpicker paths */
.colorpicker-saturation {
    background-image: url("Images/bootstrap-colorpicker/saturation.png");
}

.colorpicker-hue {
    background-image: url("Images/bootstrap-colorpicker/hue.png");
}

.colorpicker-alpha {
    background-image: url("Images/bootstrap-colorpicker/alpha.png");
}

.colorpicker-color {
    background-image: url("Images/bootstrap-colorpicker/alpha.png");
}

.colorpicker.colorpicker-horizontal .colorpicker-hue {
    background-image: url("Images/bootstrap-colorpicker/hue-horizontal.png");
}

.colorpicker.colorpicker-horizontal .colorpicker-alpha {
    background-image: url("Images/bootstrap-colorpicker/alpha-horizontal.png");
}

.ui-icon,
.ui-widget-content .ui-icon {
    background-image: url("Images/jquery-ui/themes/smoothness/images/ui-icons_222222_256x240.png");
}

.ui-widget-header .ui-icon {
    background-image: url("Images/jquery-ui/themes/smoothness/images/ui-icons_222222_256x240.png");
}

.ui-button .ui-icon {
    background-image: url("Images/jquery-ui/themes/smoothness/images/ui-icons_888888_256x240.png");
}

.ui-state-hover .ui-icon,
.ui-state-focus .ui-icon,
.ui-button:hover .ui-icon,
.ui-button:focus .ui-icon,
.ui-state-default .ui-icon {
    background-image: url("Images/jquery-ui/themes/smoothness/images/ui-icons_454545_256x240.png");
}

.ui-state-active .ui-icon,
.ui-button:active .ui-icon {
    background-image: url("Images/jquery-ui/themes/smoothness/images/ui-icons_454545_256x240.png");
}

.ui-state-highlight .ui-icon,
.ui-button .ui-state-highlight.ui-icon {
    background-image: url("Images/jquery-ui/themes/smoothness/images/ui-icons_2e83ff_256x240.png");
}

.ui-state-error .ui-icon,
.ui-state-error-text .ui-icon {
    background-image: url("Images/jquery-ui/themes/smoothness/images/ui-icons_cd0a0a_256x240.png");
}

/* Override bootstrap-rtl.css*/
.col-md-4,
.col-md-8,
.col-md-10,
.col-md-12 {
    margin-bottom: 1rem !important;
}

.modal-header {
    display: initial;
}

.ml-auto {
    margin-right: 0 !important;
}

.table-hover tbody tr:hover {
    background-color: #e9eaeb;
}

.table-striped tbody tr.selected {
    background-color: #d8d9da;
}

.custom-select {
    width: auto !important;
    flex: none !important;
}

.input-group > .input-group-append:not(:last-child) > .input-group-text {
    border-radius: 0.25rem;
}

.alert {
    text-align: left;
    width: fit-content;
}

    .alert span {
        padding-left: 1.25rem;
    }

.alert-dismissible {
    padding-left: inherit;
    padding-right: 3rem;
}

    .alert-dismissible .close {
        right: 0;
        left: initial;
    }

/* Override app-rtl.css*/
.card {
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
}

.card-default {
    display: inline-flex;
    min-width: 50%;
    max-width: 100%;
}

.pagination {
    margin-right: auto !important;
    margin-left: 0 !important;
    float: left;
}

#table-ext-1 th:nth-child(1),
#table-ext-1 th:nth-child(2),
#table-ext-1 th:nth-child(7),
#table-ext-1 th:nth-child(9) {
    width: auto;
}

.abs-center {
    top: 20px;
}

.user-block > .user-block-picture {
    width: 80px;
}

.dataTables_info {
    padding-top: 0;
    margin-left: 10px;
}

.user-block-info a:hover {
    text-decoration: none;
}

.chosen-choices {
    height: auto !important;
}

@media (max-width:400px) {
    .topnavbar .navbar-nav > .nav-item > .nav-link {
        padding: 1.1rem .45rem;
    }
}

/* CK Editor */
.cke_button.cke_button__strike, .cke_button.cke_button__subscript, .cke_button.cke_button__superscript {
    display: none;
}

/* New */
.td-checkbox {
    width: 1px;
}

.td-buttons-1 {
    width: 72px;
}

.td-buttons-2 {
    width: 118px;
}

.td-buttons-3 {
    width: 170px;
}

.td-buttons-4 {
    width: 219px;
}

.c-checkbox {
    display: initial;
}

.icon-options-vertical {
    padding-left: 10px;
    cursor: pointer;
}

.display-none {
    display: none;
}

.dataTables_info {
    font-size: 16px;
}

.hasDatepicker {
    direction: ltr;
}

.page-spacer {
    margin: 0 5px;
}

.width-100px {
    width: 100px;
}

.width-150px {
    width: 150px;
}

.width-200px {
    width: 200px !important;
}

.width-100 {
    width: 100%;
}

.form-horizontal {
    width: 50%;
    min-width: 450px;
}

form-80p {
    max-width: 80%;
}

.form-min50 {
    min-width: 50%;
    max-width: 80%;
}

.text-large {
    font-size: 18px;
}

.eraser {
    position: relative;
    right: 8px;
    bottom: 28px;
}

.main-image-preview {
    width: 300px;
    height: 169px;
    margin-bottom: 1rem;
    cursor: -moz-zoom-in;
    cursor: -webkit-zoom-in;
    cursor: zoom-in;
}

.gallery-image-preview {
    max-width: 300px;
    max-height: 169px;
    margin: 0.5rem;
    cursor: -moz-zoom-in;
    cursor: -webkit-zoom-in;
    cursor: zoom-in;
}

.gallery-image-preview-link:hover {
    text-decoration: none;
}

.news-image-preview-div {
    width: 80px;
    display: inline-block;
    text-align: center;
}

    .news-image-preview-div a {
        cursor: -moz-zoom-in;
        cursor: -webkit-zoom-in;
        cursor: zoom-in;
    }

.news-image-preview {
    max-width: 60px;
    min-width: 60px;
    max-height: 100px;
    margin: 0.5rem;
    cursor: -moz-zoom-in;
    cursor: -webkit-zoom-in;
    cursor: zoom-in;
}

@media(max-width:720px) {
    .form-horizontal {
        min-width: 100%;
    }
}

.polls-answers {
    margin-left: 0.5rem;
    line-height: 45px;
}

.form-filter {
    display: initial;
}

#div-filter {
    display: table;
    /*margin-top: 3.5rem;*/
    /*background-color: #2b957a;*/
    padding-top: 10px;
}

.excluded {
    background-color: darkred !important;
    color: white;
}

.topstory {
    color: green;
}

@keyframes pulse {
    0% {
        color: #000;
    }

    50% {
        color: green;
    }

    100% {
        color: #000;
    }
}

.urgent {
    -webkit-animation: blink-animation 1s infinite; /* Safari 4+ */
    -moz-animation: blink-animation 1s infinite; /* Fx 5+ */
    -o-animation: blink-animation 1s infinite; /* Opera 12+ */
    animation: blink-animation 1s infinite; /* IE 10+, Fx 29+ */
}

.stage-1 {
    margin-left: 25px;
    background-color: forestgreen;
}

.stage-2 {
    background-color: darkorange;
}

.stage-4 {
    background-color: red;
}

@-webkit-keyframes blink-animation {
    from {
        /*background-color: inherit;*/
    }

    to {
        color: red;
    }
}

input[type="file"] {
    padding-top: 0.2rem;
}

.inner-image {
    max-width: 80%;
    max-height: 500px;
}

#repeated-titles {
    text-align: right;
    direction: rtl;
}

#div-filter form input,
#div-filter form select,
#div-filter .chosen-container,
#clear-filter {
    margin-top: 10px;
    margin-bottom: 10px;
}

#div-filter-chosen .chosen-container {
    width: 31% !important;
}

#div-filter .bootstrap-tagsinput {
    width: 31%;
}

#div-filter .chosen-container {
    width: 31% !important;
}

#div-filter .bootstrap-tagsinput .label-info {
    font-size: 0.925rem;
}

#div-help .card-body {
    background-color: lightyellow;
}

.preview-container {
    width: 213px;
    height: 120px;
    background-repeat: no-repeat;
    top: 0px;
}

.alert-link b {
    color: #008B8B;
}

/*For file selection modal*/
#modal-custom .file-list ul li {
    cursor: pointer;
    padding-left: 10px;
    padding-right: 10px;
}

.file-viewer {
    margin-top: 10px;
}

.file-header .fas {
    color: #18a0ca;
}

.file-header .breadcrumb li {
    cursor: pointer;
}

.file-
span {
    margin-right: 8px;
}

.file-selected {
    background-color: #5d9cec;
    color: white;
}

.files-table .fas {
    color: #18a0ca;
}

.files-table td {
    cursor: pointer;
}

#files-list {
    overflow-y: scroll;
}

    #files-list .grid-item {
        position: relative;
        background-color: white;
    }

.grid-item img {
    width: 100%;
    height: auto;
    display: block;
    object-fit: contain;
    margin: auto;
}

.grid-item i {
    position: absolute;
    display: block;
    width: 100%;
    height: auto;
    text-align: center;
}

.grid-item .item-zoom {
    display: none;
    position: absolute;
    right: 50%;
    top: 50%;
}

.card-footer p {
    margin: auto;
    text-align: center;
}

#files-list .grid-item:hover > a {
    cursor: zoom-in;
}

#files-list .grid-item:hover i {
    cursor: pointer;
}

.ui-datepicker {
    z-index: 1051 !important;
}

/*For checkbox grid tables*/
.table-checkbox-grid thead tr th,
.table-checkbox-grid tbody tr td:nth-child(1) {
    cursor: pointer;
    color: blue;
}

/*Loading modal style*/

.loader {
    position: relative;
    text-align: center;
    margin: 15px auto;
    z-index: 600;
    display: block;
    width: 80px;
    height: 80px;
    border: 10px solid rgba(0, 0, 0, .3);
    border-radius: 50%;
    border-top-color: #000;
    animation: spin 1s ease-in-out infinite;
    -webkit-animation: spin 1s ease-in-out infinite;
}

@keyframes spin {
    to {
        -webkit-transform: rotate(360deg);
    }
}

@-webkit-keyframes spin {
    to {
        -webkit-transform: rotate(360deg);
    }
}

/** MODAL STYLING **/

#loading-wait-modal div .modal-content {
    border-radius: 0px;
    box-shadow: 0 0 20px 8px rgba(0, 0, 0, 0.7);
}

.modal-backdrop.show {
    z-index: 580;
    opacity: 0.75;
}

.loader-txt p {
    font-size: 13px;
    color: #666;
}

.loader-txt small {
    font-size: 11.5px;
    color: #999;
}

.differ {
    border: 2px solid red;
}

    .differ h4 {
        color: chocolate;
    }

.table-responsive {
    width: 100%;
    display: inline-block;
}

#embeddedNewsSection {
    height: 100px;
    overflow: auto;
}

.autocomplete {
    /*the container must be positioned relative:*/
    position: relative;
    display: inline-block;
}

#embeddedNews {
    background-color: #f1f1f1;
    width: 100%;
}

#searchEmbeddedNews {
    background-color: DodgerBlue;
    color: #fff;
}

.autocomplete-items {
    position: absolute;
    border: 2px solid DodgerBlue;
    border-top: none;
    z-index: 99;
    /*position the autocomplete items to be the same width as the container:*/
    top: 100%;
    left: 0;
    right: 0;
    height: 150px;
    overflow: auto;
}

    .autocomplete-items div {
        padding: 10px;
        cursor: pointer;
        background-color: #fff;
        border-bottom: 1px solid #d4d4d4;
    }

        .autocomplete-items div:hover {
            /*when hovering an item:*/
            background-color: #e9e9e9;
        }

.autocomplete-active {
    /*when navigating through the items using the arrow keys:*/
    background-color: DodgerBlue !important;
    color: #ffffff;
}

table.table-editable tbody tr td:not(:nth-child(1)) {
    cursor: pointer;
}

td[contenteditable] {
    border: 2px solid black;
}

/*.inline-left {
    float: left;
    width: 100%;
    height: auto !important;
    margin: 20px 0;
}

.inline-right {
    float: right;
    width: 100%;
    height: auto !important;
    margin: 20px 0;
}

@media(min-width: 740px) {
    .inline-right,
    .inline-left {
        width: 49%;
        margin: 20px 0.5% !important;
    }
}

.full-width {
    float: right;
    width: 100% !important;
    height: auto !important;
    margin: 20px 0 !important;
    padding: 0 !important;
    border: 0 !important;
}*/

.full-width {
    /*float: right;*/
    width: 100%;
    margin: 20px 0;
    text-align: center;
}

    .full-width img {
        max-width: 100%;
        height: auto;
        display: inline-block;
    }

    .full-width .caption {
        line-height: 24px;
        font-size: 14px;
        font-weight: normal;
        text-align: center;
    }

.img-inline {
    margin: 20px;
}

@media (min-width: 740px) {

    .img-inline {
        max-width: 50%;
    }
}

.img-inline img {
    width: 100%;
    height: auto;
}

.img-inline .caption {
    line-height: 24px;
    font-size: 14px;
    font-weight: normal;
    text-align: center;
}

.float-left {
    float: left;
}

.float-right {
    float: right;
}

.center {
    text-align: center !important;
    margin-left: auto;
    margin-right: auto;
}

.ckeditor-wrap {
    overflow-wrap: break-word;
}

.img-fluid {
    max-width: 100%;
    height: auto;
    max-height: 35px;
}

.toast-ui-container {
    height: 610px;
    width: 100%;
    direction: ltr;
}

.clearfix:after {
    display: block;
    content: "";
    clear: both;
}

.attachment-image {
    width: 80%;
    height: auto;
    margin-bottom: 10px;
}

#selected-products table {
    width: 100%;
}

.table-editable tbody tr td {
    min-width: 100px;
    max-width: 300px;
}

    .table-editable tbody tr td textarea {
        min-width: 150px;
        max-width: 300px;
    }

.table-product-row {
    background: #ccc;
    font-size: 16px;
    font-weight: bold;
}

.marchdair-table {
    width: 100%;
}

/* ----- Increase Font ----- */
body {
    font-size: 18px !important;
    font-family: sans-serif !important;
    /*font-weight: bold;*/
    color: #000 !important;
}


.bootstrap-tagsinput .label-info {
    font-size: 16px !important;
    margin: 4px;
    display: inline-block;
}

/* ---------------- */
.btn-secondary {
    color: buttontext;
    background-color: buttonface;
}

/* language btn */
.dropdown-language {
    color: white;
    display: block;
    background-color: #00000000;
    width: 50px;
    height: 40px;
    border: none;
    cursor: pointer;
    font-weight: bold;
}

.dropdown-language option {
        font-weight: bold;
    }

#WriterId_chosen .chosen-single span {
    display: inline;
}

#WriterId_chosen .chosen-single img{
    width:30px;
    height:auto;
    margin-right:10px;
    margin-left:-20px;
}

.writer-option {
    background-position: right;
    padding-right: 35px !important;
    background-repeat: no-repeat;
    background-size: 30px auto;
}

.nounderline {
    text-decoration: none !important
}
